package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouVideoGet;
import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouProjectVideoGet;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.util.List;

/**
 * @Description: 快手-项目下视频信息
 * @Author: jeecg-boot
 * @Date: 2021-05-21
 * @Version: V1.0
 */
public interface IKuaishouProjectVideoGetService extends IService<KuaishouProjectVideoGet> {

    /**
     * 清洗项目数据
     */
    void clearProjectVideo(Long projectId, Integer pageStart,String updateTime);

    Result<Object> queryPageList(KuaishouProjectVideoGet kuaishouProjectVideoGet, Integer pageNo, Integer pageSize);

    Result<Object> getVideoTotalNumber(Long projectId);

    Result<Object> getVideoDetails(String signature, String id);

    Result<Object> getAccountVideos(String signature, Long projectId, Integer pageNo, Integer pageSize);

    Result<Object> queryCreativeBySignature(List<String> photoIds, Long accountId, Integer pageNo, Integer pageSize);

    void deleteCreativesByPhotoId(Object photoId);

    List<KuaiShouVideoGet> getNewVideoBetweenTime(Long accountId, String startTime, String endTime, Integer channelType);

    List<KuaiShouVideoGet> getZeroVideoByParams(Long accountId, String startTime, String endTime, Long videoCnt, String appVersion, Integer channelType, Integer relativeCnt);

    List<KuaiShouVideoGet> getHistoryTopVideoByParams(Long accountId, String startTime, String endTime, Long videoCnt, String appVersion, Integer channelType);
}
